## org.apache.aries.subsystem.core.internal
Interface ServiceProvider

    public interface ServiceProvider

Method Summary

`

`<C> C`

`

`getService(Class<C> clazz)`

`

`<C> Collection<C>`

`

`getServices(Class<C> clazz)`

Method Detail

### getService

    <C> C getService(Class<C> clazz)

### getServices

    <C> Collection<C> getServices(Class<C> clazz)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.